# DaSE-Cloud

## 本仓库为数据学院多云管理平台相关内容。<span style="color:red">本页为使用守则和管理办法，请务必认真阅读。</span>操作手册请移步user_manual.md

# DaSE云资源使用守则

### <span style="color:red">1. 总体原则，尽量节省资源！HOW？抓住两点：1）资源长时间不用？删除！！2）资源配置过高？降配！！</span>

### <span style="color:red">2. 重要：创建资源时，必须使用“姓名-实验室***”作为前缀命名资源，例如：刘鑫-实验室陆雪松-dataProcessing。未按照此规则命名的云主机将被删除。</span>

#### 3. 同一实验室下所有账号共享资源，请务必管理好自己的资源，并且不要干扰其他同学的资源。

#### 4. 云资源相较本地资源的最大特点是它不是一次性投入，而是可以弹性伸缩，按需自助，按用量计费。所以请同学们在创建资源时，`先估计满足实验要求的最低配置，包括核心数、内存、磁盘等`。这些配置在必要的时候可以随时升级或者降级。

#### 5. 云资源计费的方式是按使用量计费。以云主机为例，创建即开始计费，直至删除。以一台最低配的搭载V100的云主机为例，创建之后不论你是否在跑实验，一天的开销是150元～200元人民币。因此，闲置的云主机，尤其是闲置的GPU云主机，会造成资源白白浪费。所以，

- #### `云主机在实验结束后必须马上删除！实验间隙建议删除！尤其不要让闲置的云主机过夜！！`

- #### `云主机在实验结束后必须马上删除！实验间隙建议删除！尤其不要让闲置的云主机过夜！！`

- #### `云主机在实验结束后必须马上删除！实验间隙建议删除！尤其不要让闲置的云主机过夜！！`

#### 实验间隙的定义：确定未来一个小时之内不会跑实验，建议删除云主机。在删除前，请先制作当前云主机的镜像（云主机列表最右侧菜单中查看）。下一次使用时可以直接从镜像快速恢复当前云主机（只需一两分钟）。学院购买的云资源是有限的，请同学们养成节约的习惯！如果大家都不节约，资源将会很快耗尽！




# <span style="color:red">新：DaSE云资源管理办法</span>

### 1. 云资源分配到实验室，由实验室导师负责。每个实验室都可以设置管理员用户来管理资源，学生使用资源需向实验室管理员申请。实验室导师可能会选择自己当管理员，也可能任命学生当管理员并定期汇报。统计方法可以咨询微信群“DaSE多云管理技术支持”（user_manual.md）。

### 2. 创建资源时，必须使用“姓名-实验室名称”作为前缀命名资源，例如：刘鑫-实验室陆雪松-dataProcessing。未按照此规则命名的云主机将被删除。

### 3. 云管总管理员也会每周、每月统计各个实验室和各个用户的使用情况；

### 4. 对每个实验室，学院每年提供3万元的基础资源（视学院的经费情况，该金额未来可能浮动。22年剩余时间的基础资源为2万元）；

### 5. 基础资源用完后，按年度实施阶梯收费，3-5万元（22年2-4万元）区间按10%进行收费，5-10万元（22年4-9万元）区间按30%进行收费，10-20万元（22年9-19万元）区间按50%进行收费，20万元（22年19万元）封顶；费用会直接从实验室总津贴中扣除，再由导师根据情况从个别同学的月津贴中扣除；视具体情况，这些比例未来都可能浮动；

### 6. 有特殊需求，可以向导师提出申请，导师再向学院申请，一事一议。


